﻿@using PagedList;
@using PagedList.Mvc;
@model IPagedList<AHCBL.Dto.Admin.ItemListDto>

@{
    ViewBag.Title = "Order_list_point";
    Layout = "~/Views/Shared/_Layout_Product.cshtml";
}
<div class="width1100" style="margin-top:15px;" data-aos="fade-up" data-aos-duration="2000">
    <p class="pTit" id="t_page_title">골드 내역</p>
    <div class="tabWrap">
        <ul>
            <li class="tab02 on"><a href="@Url.Action("order_buy_point","Order")")"><span>충전</span></a></li>
            <li class="tab02 on"><a href="@Url.Action("order_withdraw_point","Order")"><span>출금</span></a></li>
            <li class="tab02 on"><a href="@Url.Action("order_list_point","Order")"><span>내역</span></a></li>
        </ul>
    </div>
    <div id="main">
        <div class="member-inform" data-aos="fade-up" data-aos-duration="2000">
            <div class="tab_con" id="tab-con">
                <div id="member" class="tab-content">
                    <div class="member-inform-box01 inform-box">
                        <div class="inform-top">
                            <h4 style="margin:10px 0; color:#fff;">골드 내역</h4>
                        </div>

                        <div class="choice-effect">
                            <table style="width:100%;border-collapse:collapse;text-align:center; color:#000;">
                                <tr>
                                    <th>No</th>
                                    <th>날짜</th>
                                    <th>지급</th>
                                    <th>사용</th>
                                    <th>합계</th>
                                    <th>비고</th>
                                </tr>
                                @if (Model != null && Model.Count() != 0)
                                {
                                    foreach (var item in Model)
                                    {
                                        <tr>
                                            <td>@Html.DisplayFor(modelItem => item.id)</td>
                                            <td>@Html.DisplayFor(modelItem => item.create_date)</td>
                                            <td>@Html.DisplayFor(modelItem => item.chip)</td>
                                            <td>@Html.DisplayFor(modelItem => item.amount)</td>
                                            <td>@Html.DisplayFor(modelItem => item.total)</td>
                                            <td>@Html.DisplayFor(modelItem => item.status)</td>
                                        </tr>
                                    }
                                }
                            </table>
                            <div class="justify-content-center row">
                                @Html.PagedListPager(Model, Page => Url.Action("Order_list_point", "Order", new { Page }))
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>